Skip to main content
`Ctrl`+`K`

# pandas.DataFrame.keys

DataFrame.keys()

  Get the ‘info axis’ (see Indexing for more).

  This is index for Series, columns for DataFrame.

  Returns:
    Index

      Info axis.

  Examples

      >>> d = pd.DataFrame(data={'A': [1, 2, 3], 'B': [0, 4, 8]},
      ...                  index=['a', 'b', 'c'])
      >>> d
         A  B
      a  1  0
      b  2  4
      c  3  8
      >>> d.keys()
      Index(['A', 'B'], dtype='object')